> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update custom template

> Update an existing custom template configuration



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json patch /templates/custom/{templateId}
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /templates/custom/{templateId}:
    patch:
      tags:
        - Templates
      summary: Update custom template
      description: Update an existing custom template configuration
      parameters:
        - in: path
          name: templateId
          required: true
          schema:
            type: string
            format: uuid
          description: Template ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Template name
                description:
                  type: string
                  description: Template description
                environmentVariables:
                  type: array
                  items:
                    type: array
                    items:
                      type: string
                    minItems: 2
                    maxItems: 2
                  description: Array of key-value pairs for environment variables
                content:
                  type: string
                  description: Template content
                isBasicAuthEnabled:
                  type: boolean
                  description: Enable/disable basic authentication
                isSSHEnabled:
                  type: boolean
                  description: Enable/disable SSH connection
                insecure:
                  type: boolean
                  description: Allow insecure connections
      responses:
        '200':
          description: Template successfully updated
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Invalid request body
        '404':
          description: Template not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````